<p style="font-size: 20px">
  <span>{{name}}</span>
  <span>&nbsp;({{type}})</span>
  <br>
  <span>{{iban}}</span>
</p>

<table>
  <tr>
    <th>Kontostand</th>
    <th style="width: 10%; text-align: right; padding-right: 10px; color: green"
        *ngIf="isPositive; else isNegative">{{balance}}</th>
    <th style="width: 6%">EUR</th>
  </tr>
</table>

<ng-template #isNegative>
  <th style="width: 10%; text-align: right; padding-right: 10px; color: red">{{balance}}</th>
</ng-template>

<br>
<table style="padding-top: 10px">
  <tr style="font-size: 25px">
    <th></th>
    <th style="width: 40%"></th>
    <th style="text-align: right; padding-right: 5%">Einnahmen</th>
    <th style="text-align: right; padding-right: 5%">Ausgaben</th>
  </tr>

  <tr style="font-size: 25px">
    <td>
      <mat-form-field style="width: 200px">
        <mat-label>Zeitraum</mat-label>
        <mat-select (selectionChange)="setTransferDetails()" [(value)]="selectedPeriod" [disableOptionCentering]="true">
          <mat-option value="THIS_MONTH">dieser Monat</mat-option>
          <mat-option value="LAST_MONTH">letzter Monat</mat-option>
          <mat-option value="THIS_QUARTER">dieses Quartal</mat-option>
          <mat-option value="LAST_QUARTER">letztes Quartal</mat-option>
          <mat-option value="HALF_YEAR">halbes Jahr</mat-option>
        </mat-select>
      </mat-form-field>
    </td>
    <td></td>
    <td class="transferValue" style="color: green">{{totalIncome}} EUR</td>
    <td class="transferValue" style="color: red">{{totalExpenditure}} EUR</td>
  </tr>

  <tr class="transferLine" style="font-size: 25px" *ngFor="let transfer of transferList" (click)="openTransfer(transfer)">
    <td style="padding-left: 15px">{{transfer.createdOnStr}}</td>
    <td>{{setShortDescription(transfer)}}</td>
    <td class="transferValue" style="color: green">{{setIncome(transfer)}}</td>
    <td class="transferValue" style="color: red">{{setExpenditure(transfer)}}</td>
  </tr>
</table>
